# OpenLayers.Layer.Zoomify

#### Inherits from

- OpenLayers.Layer.Grid

Summary

OpenLayers.Layer.Zoomify |
Properties |
url | {String} URL for root directory with TileGroupX subdirectories.
size | {OpenLayers.Size} The Zoomify image size in pixels.
isBaseLayer | {Boolean}
standardTileSize | {Integer} The size of a standard (non-border) square tile in pixels.
tileOriginCorner | {String} This layer uses top-left as tile origin
numberOfTiers | {Integer} Depth of the Zoomify pyramid, number of tiers (zoom levels)
tileCountUpToTier | {Array(Integer)} Number of tiles up to the given tier of pyramid.
tierSizeInTiles | {Array(OpenLayers.Size)} Size (in tiles) for each tier of pyramid.
tierImageSize | {Array(OpenLayers.Size)} Image size in pixels for each pyramid tier.
Constructor |
OpenLayers.Layer.Zoomify |
Functions |
initializeZoomify | It generates constants for all tiers of the Zoomify pyramid
clone |
getURL |
getImageSize | getImageSize returns size for a particular tile.
setMap | When the layer is added to a map, then we can fetch our origin (if we don’t have one.)
calculateGridLayout | Generate parameters for the grid layout.

### Properties

### url

{String} URL for root directory with TileGroupX subdirectories.

### size

{OpenLayers.Size} The Zoomify image size in pixels.

### isBaseLayer

{Boolean}

### standardTileSize

{Integer} The size of a standard (non-border) square tile in pixels.

### tileOriginCorner

{String} This layer uses top-left as tile origin

### numberOfTiers

{Integer} Depth of the Zoomify pyramid, number of tiers (zoom levels)

- filled during Zoomify pyramid initialization.

### tileCountUpToTier

{Array(Integer)} Number of tiles up to the given tier of pyramid.

- filled during Zoomify pyramid initialization.

### tierSizeInTiles

{Array(OpenLayers.Size)} Size (in tiles) for each tier of pyramid.

- filled during Zoomify pyramid initialization.

### tierImageSize

{Array(OpenLayers.Size)} Image size in pixels for each pyramid tier.

- filled during Zoomify pyramid initialization.

### Constructor

### OpenLayers.Layer.Zoomify

#### Parameters

name | {String} A name for the layer.
url | {String} - Relative or absolute path to the image or more precisly to the TileGroup[X] directories root. Flash plugin use the variable name “zoomifyImagePath” for this.
size | {OpenLayers.Size} The size (in pixels) of the image.
options | {Object} Hashtable of extra options to tag onto the layer

### Functions

### initializeZoomify

> initializeZoomify: function( | size | )

It generates constants for all tiers of the Zoomify pyramid

#### Parameters

size | {OpenLayers.Size} The size of the image in pixels

### clone

> clone: function ( | obj | )

#### Parameters

obj | {Object}

#### Returns

{OpenLayers.Layer.Zoomify} An exact clone of this OpenLayers.Layer.Zoomify

### getURL

> getURL: function ( | bounds | )

#### Parameters

bounds | {OpenLayers.Bounds}

#### Returns

{String} A string with the layer’s url and parameters and also the passed-in bounds and appropriate tile size specified as parameters

### getImageSize

> getImageSize: function()

getImageSize returns size for a particular tile. If bounds are given as first argument, size is calculated (bottom-right tiles are non square).

### setMap

> setMap: function( | map | )

When the layer is added to a map, then we can fetch our origin (if we don’t have one.)

#### Parameters

map | {OpenLayers.Map}

### calculateGridLayout

> calculateGridLayout: function( | bounds,
> | origin,
> | resolution | )

Generate parameters for the grid layout. This

#### Parameters

bounds | {<OpenLayers.Bound>}
origin | {OpenLayers.LonLat}
resolution | {Number}

#### Returns

Object containing properties tilelon, tilelat, tileoffsetlat, tileoffsetlat, tileoffsetx, tileoffsety

Instances of this class represent a width/height pair

> initializeZoomify: function( | size | )

It generates constants for all tiers of the Zoomify pyramid

> clone: function ( | obj | )

> getURL: function ( | bounds | )

> getImageSize: function()

getImageSize returns size for a particular tile.

> setMap: function( | map | )

When the layer is added to a map, then we can fetch our origin (if we don’t have one.)

> calculateGridLayout: function( | bounds,
> | origin,
> | resolution | )

Generate parameters for the grid layout.
Base class for layers that use a lattice of tiles.
Instances of this class represent bounding boxes.
Instances of OpenLayers.Map are interactive maps embedded in a web page.
This class represents a longitude and latitude pair
Close